Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.http
Class HttpSchedulerServlet

    java.lang.Object
      HttpServlet
          com.knowgate.http.HttpSchedulerServlet

    public class HttpSchedulerServlet

extends HttpServlet

Constructor Summary
`HttpSchedulerServlet()`

Method Summary
`void` | `destroy()`
`void` | `doGet(HttpServletRequest request, HttpServletResponse response)` Perform action on SchedulerDaemon and return resulting status The output written to ServletOutputStream is an XML string of the form: <scheduler><status>{start|stop|running|stopped}</status><startdate>Thu Jul 14 23:04:33 CEST 2005</startdate><stopdate></stopdate><runningtime>98767</runningtime><poolsize>2</poolsize><livethreads>1</livethreads><queuelength>4</queuelength></scheduler>
`void` | `init()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpSchedulerServlet

    public HttpSchedulerServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Throws:
    `ServletException`

### destroy

    public void destroy()

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws ServletException

  Perform action on SchedulerDaemon and return resulting status

  The output written to ServletOutputStream is an XML string of the form:
  <scheduler><status>{start|stop|running|stopped}</status><startdate>Thu Jul 14 23:04:33 CEST 2005</startdate><stopdate></stopdate><runningtime>98767</runningtime><poolsize>2</poolsize><livethreads>1</livethreads><queuelength>4</queuelength></scheduler>

  Parameters:
    `request` - Contains parameters: action = { start, stop, restart, info, abort }
    `response` - HttpServletResponse
  Throws:
    `ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD